<?php
/**
 * Artikelverwaltung im Administrationsbereich (ACP)
 *
 * @package     Expblog
 * @category    ACP
 * @author      Volker S. Latainski
 * @copyright   Copyright (c) 2008, Volker S. Latainski
 * @version     0.6_1
 * @license     Freeware (siehe LIZENZ.txt im Hauptverzeichnis)
 * @link        http://www.expblog.net
 * @link        http://www.expblog.de
 * @filesource
 */
  include "header.php";  
  $aps = 10; // Artikel pro Seite -> settings.php
   
  // (Mindest)Zugriffslevel der Seite
  // 0 = Alle, 1 = Moderatoren, 2 = Administratoren, 3 = Blogbesitzer
  $accesslevel = 0;
  if($_SESSION['userlevel'] >= $accesslevel)
  {
	  // Artikel und RSS Objekt erstellen
	  $artikel = new ARTIKEL($output);
	  $rss = new RSS($output);
	  
	  // Sortierung festlegen, POST und GET erlaubt
	  if(isset($_REQUEST['sort']))
	  {
	    if(strtoupper($_REQUEST['sort']) === 'ASC')
	    {
	    	$artikel->sort = 'ASC';
	    }
	    else
	    {
	    	$artikel->sort = 'DESC';  //defaultwert
	    }
	  }
	  else
	  {
	  	$artikel->sort = 'DESC';  //defaultwert, fallback
	  }
	  
	  if(isset($_POST['delete_ids']) && is_array($_POST['delete_ids']))
	  {
	  	$delete_ids = implode(",", $_POST['delete_ids']);  
	    $delete = $artikel->multiDelete($delete_ids);
	    if($expconf['rssstatus'])
    	{
    		$feed = $rss->makeFeed();
    	}
	    $meldung = 1;
	    if(!$delete)
	    {
	    	$meldungtxt = 'Fehler: Die Artikel konnten nicht gelscht werden!';
	    }
	    else
	    {
	      $meldungtxt = 'Die Artikel wurden gelscht!';
	    }	  	
	  }
	  
	  // Artikel loeschen
	  if(isset($_GET['delete']) && $_GET['delete'] > '0')
	  {
	  	$artikel_id = (int) $_GET['delete'];
	  	$delete = $artikel->delete($artikel_id);
	  	if($expconf['rssstatus'])
    	{
    		$feed = $rss->makeFeed();
    	}
	  	$meldung = 1;
	    if(!$delete)
	    {
	    	$meldungtxt = 'Fehler: Der Artikel konnte nicht gelscht werden!';
	    }
	    else
	    {
	      $meldungtxt = 'Der Artikel wurde gelscht!';
	    }	  	
	  }
	    
	  // Pager Limit ermitteln
	  if(isset($_GET['start']) && $_GET['start'] >= '0')
	  {
	  	$limit_start = (int) $_GET['start'];
	  }
	  else
	  {
	  	$limit_start = 0;
	  }
	  if(isset($_GET['ende']) && $_GET['ende'] >= '1')
	  {
	  	$limit_ende = (int) $_GET['ende'];
	  }
	  else
	  {
	  	$limit_ende = $aps;
	  }
	    
	  $counter = $artikel->countAll();
	  $pages = ceil($counter/$aps);
	  $res = $artikel->getLimited($limit_start, $limit_ende);
	  $res2 = $artikel->getLimitedIDs($limit_start, $limit_ende);
	  $res2_arr = array();
	  foreach($res2 as $row => $value)
	  {
	    array_push($res2_arr, $value['newsid']);  
	  }
	  $ids = implode("|", $res2_arr);

	  if($meldung)
    {
      echo '<div class="content_box">';
      echo '<div class="meldungen">Meldungen</div>';
      echo '<div class="meldungtxt">'.$meldungtxt.'</div>';
      echo '</div>';
    }        
?>
<div class="content_box">[ Sortierung: <a href="artikel.php?sort=asc">aufsteigend</a> <a href="artikel.php?sort=desc">absteigend</a> ] [ Aktionen: <a href="#" id="teaserlink" onclick="javascript:allArtikelTeaser('<?php echo $ids; ?>', 'show');">alle aufklappen</a> <a href="#" id="teaserlink" onclick="javascript:allArtikelTeaser('<?php echo $ids; ?>', 'hide');">alle zuklappen</a>]</div>
<div class="content_box">
<div class="content_hline">Artikelverwaltung</div>
  <?php
		if($counter == 0)
    {
    	echo '<center><b>Meldung: </b>Es sind keine Artikel vorhanden!</center>';
    }
    else
    {
    	$i = 1;	
    	echo '<form action="artikel.php" method="post">';  	
	  	foreach($res as $row => $value) 
	  	{	  		
	  		if(is_int($i/2))
	  		{
	  			echo '<div class="artikel_box1">';
	  			echo '<div class="artikel_box_left1"><input type="checkbox" name="delete_ids[]" value="'.$value['id'].'"></div>';
	  			echo '<div class="artikel_box_right1">';
	  		}
	  		else
	  		{
	  			echo '<div class="artikel_box2">';
	  			echo '<div class="artikel_box_left2"><input type="checkbox" name="delete_ids[]" value="'.$value['id'].'"></div>';
	  			echo '<div class="artikel_box_right2">';
	  		}	 
	  		
	  		 	
	  		if(strlen($value['username']) > 10)	
	  		{
	  			echo '<div class="artikel_autor">Autor: <a href="'.WEBPATH.'index.php?autor='.str_replace(" ", "_", $value['username']).'" title="Alle Artikel des Autors anschauen" target="_blank">'.substr($value['username'],0,15).'..</a><br>'; 
	  		}
	  		else
	  		{
	  			echo '<div class="artikel_autor">Autor: <a href="'.WEBPATH.'index.php?autor='.str_replace(" ", "_", $value['username']).'" title="Alle Artikel des Autors anschauen" target="_blank">'.$value['username'].'</a><br>'; 
	  		}
	  		
	  		
	  		if(strlen($value['name']) > 8)	
	  		{
	  			echo 'Kategorie: <a href="'.WEBPATH.'index.php?kategorie='.str_replace(" ", "_", $value['name']).'" title="Kategorie: '.$value['name'].'" target="_blank">'.substr($value['name'],0,12).'..</a></div>'; 
	  		}
	  		else
	  		{
	  			echo 'Kategorie: <a href="'.WEBPATH.'index.php?kategorie='.str_replace(" ", "_", $value['name']).'" title="Kategorie: '.$value['name'].'" target="_blank">'.$value['name'].'</a></div>'; 	
	  		}
	  		
	  		echo '<div class="artikel_datetime">'.strftime('%A, %d. %b %Y %H:%M:%S', $value['timestamp']).' Uhr</div>';	  	
	  		
	  	  if($value['comments'] == 1)
	  		{
	  			echo '<div class="artikel_comments"><a href="kommentare.php?artikel='.$value['id'].'" title="Kommentare zu diesem Artikel verwalten">1 Kommentar</a></div>';
	  	  }
	  	  elseif($value['comments'] > 1)
	  		{
	  			echo '<div class="artikel_comments"><a href="kommentare.php?artikel='.$value['id'].'" title="Kommentare zu diesem Artikel verwalten">'.$value['comments'].' Kommentare</a></div>';
	  	  }
	  	  else
	  	  {
	  	  	echo '<div class="artikel_comments">Keine Kommentare</div>';
	  	  }
	  		echo '<div class="artikel_actions">';	  			  		
	  		echo '<a href="../details.php?id='.$value['id'].'" title="Detailansicht"><img src="img/artikel_action_view.png" border="0" /></a> <a href="artikel_bearbeiten.php?id='.$value['id'].'" title="Bearbeiten"><img src="img/artikel_action_edit.png" border="0" /></a> <a href="?delete='.$value['id'].'" title="Lschen" onclick="return confirm(\'Soll der Artikel wirklich gelscht werden?\');"><img src="img/artikel_action_delete.png" border="0" /></a></div>';	  		
	  		echo '<div class="artikel_titel">'.$value['titel'].' (<a id="link_'.$value['id'].'" href="javascript:artikelTeaser('.$value['id'].', \'show\');">Teaser anzeigen</a>)</div>';
	  		echo '<div class="artikel_teaser" id="teaser_'.$value['id'].'">'.strip_tags($value['teaser']).'</div>';	  		
	  		echo '</div>';
	  		echo '<div class="clear_left"></div>';
	  		echo '</div>';
	  		$i++;
	  	}
    }
  ?>
</div>

<div id="artikel_footer">
  <?php
	  if($counter > 0)
	  {
	  	echo '<div id="artikel_weitere_links"><input type="submit" class="artikel_buttons" value="Auswahl lschen!" onclick="return confirm(\'Sollen die ausgewhlten Artikel wirklich gelscht werden?\');" />
	  	</form></div>';	  
		  echo '<div id="artikel_pager">';		 
	  
		  if($pages > 1)
		  {  	
		  	echo '<p>Seiten:&nbsp;';
		  	$a = 0;
		    $b = $aps-1;
		  	for($i=1;$i<=$pages;$i++)
		  	{ 
		  		if($limit_start == $a)
		  		{	
		  		  echo '[<a href="artikel.php?start='.$a.'&ende='.$aps.'">'.$i.'</a>]&nbsp;';
		  		}
		  		else
		  		{
		  			echo '<a href="artikel.php?start='.$a.'&ende='.$aps.'">'.$i.'</a>&nbsp;';
		  		}
		  		$a += $aps;
		  	}
		  	echo '</p>';
		  }	  
		  
			if($limit_start-$aps >= 0)
			{
				echo '<a href="artikel.php?start='.($limit_start-$aps).'&ende='.$aps.'" title="Vorherige Seite"><img src="img/lastpage.png" border="0"/></a>';
			}
			else
			{
				echo '<img src="img/lastpage2.png" border="0"/>';
			}
		?>
		<a href="#top" title="Zum Seitenanfang"><img src="img/up.png" border="0"/></a>
		<?php
			if($limit_start+$aps <= $counter)
			{
				echo '<a href="artikel.php?start='.($limit_start+$aps).'&ende='.$aps.'" title="Nchste Seite"><img src="img/nextpage.png" border="0"/></a>';
			}
			else
			{
				echo '<img src="img/nextpage2.png" border="0"/>';
			}
			
			echo '</div>';
		}
	?>
</div>

<?php
  }
  include "footer.php";
?>