<?php
/**
 * Blogroll Konfiguration im Administrationsbereich (ACP)
 *
 * @package     Expblog
 * @category    ACP
 * @author      Volker S. Latainski
 * @copyright   Copyright (c) 2009, Volker S. Latainski
 * @version     0.4.4
 * @license     Freeware (siehe LIZENZ.txt im Hauptverzeichnis)
 * @link        http://www.expblog.net
 * @link        http://www.expblog.de
 * @filesource
 */
  include "header.php";
  
  // (Mindest)Zugriffslevel der Seite
  // 0 = Alle, 1 = Moderatoren, 2 = Administratoren, 3 = Blogbesitzer
  $accesslevel = 2;
  if($_SESSION['userlevel'] >= $accesslevel)
  {
  	$blogroll = new BLOGROLL($output);  	  	        
  
	  if(isset($_POST['add']) && !empty($_POST['url']))
	  {    	
	  	$url = $output->sql->checkSql(htmlentities($_POST['url']));
	  	$titel = $output->sql->checkSql(htmlentities($_POST['titel']));
	    $status = $blogroll->add($url, $titel);
	    $meldung = 1;
	    if(!$status)
	    {
	    	$meldungtxt = 'Fehler: Der Eintrag konnten nicht hinzugefgt werden!';
	    }
	    else
	    {
	      $meldungtxt = 'Der Eintrag wurden hinzugefgt!';
	    }
	  }
	  
	  if(isset($_GET['delete']))
	  {
	  	$id = (int) $_GET['delete'];
	    $status = $blogroll->delete($id);
	    $meldung = 1;
	    if(!$status)
	    {
	    	$meldungtxt = 'Fehler: Der Eintrag konnten nicht gelscht werden!';
	    }
	    else
	    {
	      $meldungtxt = 'Der Eintrag wurden gelscht!';
	    }
	  }
	  
	  if($meldung)
    {
      echo '<div class="content_box">';
      echo '<div class="meldungen">Meldungen</div>';
      echo '<div class="meldungtxt">'.$meldungtxt.'</div>';
      echo '</div>';
    }
	?>

<div class="content_box">
	<div class="content_hline">Blogroll-Verwaltung</div>		
	<div id="blogroll">	
		
		<div id="blogroll_add">
			<h3>Blog hinzufgen</h3>	  
		  <form action="blogroll.php" method="post" name="blogroll">	  
		  	<input type="hidden" name="add">  
		    <p>URL (mit http://)</p><input name="url" class="blogroll_input" type="text" value="" size="30" maxlength="40" /><div class="clear_left"></div>
		    <p>Titel (optional)</p><input name="titel" class="blogroll_input" type="text" value="" size="30" maxlength="40" /><div class="clear_left"></div> 
		    <input type="submit" value="Speichern" class="blogroll_submit" />
		  </form>
		</div>
		
		<div id="blogs">
			<h3>Blogroll</h3>		
			<p>	
			<?php
			  $res = $blogroll->getAll();		  
			  if($res)
			  {
				  foreach($res as $row => $value)
				  {
				  	if(!empty($value['titel']))
				  	{
				  		echo '&rArr;&nbsp;&nbsp;<a href="'.$value['url'].'" title="'.$value['url'].'" target="_blank"><b>'.$value['titel'].'</b></a> (<a href="blogroll.php?delete='.$value['id'].'">Lschen</a>)<br />';
				  	}
				  	elseif(empty($value['titel']) && strlen($value['url']) > 28)
				  	{
				  		echo '&rArr;&nbsp;&nbsp;<a href="'.$value['url'].'" title="'.$value['url'].'" target="_blank"><b>'.substr($value['url'], 0, 28).'...</b></a> (<a href="blogroll.php?delete='.$value['id'].'">Lschen</a>)<br />';	
				  	}
				  	else
				  	{
				  	  echo '&rArr;&nbsp;&nbsp;<a href="'.$value['url'].'" target="_blank"><b>'.$value['url'].'</b></a> (<a href="blogroll.php?delete='.$value['id'].'">Lschen</a>)<br />';	
				  	}
				  }
				}
				else
				{
				  echo 'Es sind keine Blogs im Blogroll vorhanden!';	
				}
			?>
			</p>
	  </div>
	  	  
	</div>	
</div>

<?php
  }
  else
  {
    include "denied.php";	
  }
  include "footer.php";
?>