<?php
/**
 * Kategorieverwaltung im Administrationsbereich (ACP)
 *
 * @package     Expblog
 * @category    ACP
 * @author      Volker S. Latainski
 * @copyright   Copyright (c) 2009, Volker S. Latainski
 * @version     0.6
 * @license     Freeware (siehe LIZENZ.txt im Hauptverzeichnis)
 * @link        http://www.expblog.net
 * @link        http://www.expblog.de
 * @filesource
 */
include "header.php";

// (Mindest)Zugriffslevel der Seite
// 0 = Alle, 1 = Moderatoren, 2 = Administratoren, 3 = Blogbesitzer
$accesslevel = 2;
if($_SESSION['userlevel'] >= $accesslevel)
{
  $kategorien = new KATEGORIEN($output);
  if(isset($_POST['neue_kategorie']) && !empty($_POST['neue_kategorie']) && trim($_POST['neue_kategorie']) !== '')
  {
    $kategorie_name = $output->sql->checkSql($_POST['neue_kategorie']);
    $meldung = 1;
    if(!$kategorien->add($kategorie_name))
    {
      $meldungtxt = 'Fehler: Die Kategorie '.$kategorie_name.' konnte nicht angelegt werden!';
    }
    else
    {
      $meldungtxt = 'Die Kategorie '.$kategorie_name.' wurde angelegt!';
    }
  }
  elseif(isset($_POST['neuer_name']) && !empty($_POST['neuer_name']))
  {
    $neuer_name = $output->sql->checkSql($_POST['neuer_name']);
    $kategorie_id = (int) $_POST['kategorie_id'];
    $rename = $kategorien->update($kategorie_id, $neuer_name);
    $meldung = 1;
    if(!$rename)
    {
      $meldungtxt = 'Fehler: Die Kategorie konnte nicht umbenannt werden!';
    }
    else
    {
      $meldungtxt = 'Die Kategorie wurde umbenannt!';
    }
  }

  // Alle Artikel einer Kategorie verschieben
  if(isset($_POST['move']) && !empty($_POST['kategorie_neuekat']) && !empty($_POST['kategorie_altekat']))
  {      
    $neuekat = $output->sql->checkSql($_POST['kategorie_neuekat']);
    $altekat = $output->sql->checkSql($_POST['kategorie_altekat']);
    if($kategorien->katExists($neuekat) && $kategorien->katExists($altekat))
    {        
      $meldung = 1;
      if(!$kategorien->moveArtikel($kategorien->katExists($altekat, true), $kategorien->katExists($neuekat, true)))
      {
        $meldungtxt = 'Fehler: Die Artikel konnten nicht verschoben werden!';
      }
      else
      {
        $meldungtxt = 'Alle Artikel wurden in die neue Kategorie verschoben!';
      }
    }
  }

  if(isset($_GET['delete']) && !empty($_GET['delete']))
  {
    $kategorie_id = (int) $_GET['delete'];
    $delete = $kategorien->delete($kategorie_id);
    $meldung = 1;
    if(!$delete)
    {
      $meldungtxt = 'Fehler: Die Kategorie konnte nicht gelscht werden!';
    }
    else
    {
      $meldungtxt = 'Die Kategorie wurde gelscht!';
    }
  }

  if($meldung)
  {
    echo '<div class="content_box">';
    echo '<div class="meldungen">Meldungen</div>';
    echo '<div class="meldungtxt">'.$meldungtxt.'</div>';
    echo '</div>';
  }
?>

<div class="content_box">
<div class="content_hline">Kategorieverwaltung</div>
<form action="kategorien.php" method="post" id="kategorie_form">
  <input name="neue_kategorie" id="kategorie_form_input" type="text" size="30" maxlength="30" value="" />
  <input type="submit" name="submit" id="kategorie_form_submit" value="Kategorie anlegen" />
</form>
<table id="kategorie_liste" cellpadding="0" cellspacing="1">
  <tr>
    <td colspan="4">
      <form action="kategorien.php" method="post" id="kategorie_form_move">
        Alle Artikel<sup>[1]</sup> von
        <select name="kategorie_altekat">
          <?php
          // Kategorien auslesen
          $res = $output->sql->query("SELECT * FROM ".DB_TABLE_kategorien);
          sort($res);
          foreach($res as $row => $value) {
            echo '<option value="'.$value[1].'">'.$value[1].'</option>';
          }
          ?>
        </select>
        verschieben nach
        <select name="kategorie_neuekat">
          <option value="" disabled="disabled" selected="yes">- Auswahl -</option>
          <?php
          // Kategorien auslesen
          foreach($res as $row => $value) {              
            echo '<option value="'.$value[1].'">'.$value[1].'</option>';
          }
          ?>
        </select>
        <input type="submit" name="submit" value="Los!" />
        <input type="hidden" name="move" value="1" />
      </form>
    </td>
  </tr>
  <tr>
    <th class="kategorie_liste_td_big">Name</th>
    <th class="kategorie_liste_td_small">Artikel</th>
    <th class="kategorie_liste_td_small">Kommentare</th>
    <th class="kategorie_liste_td_small">Aktion</th>
  </tr>
  <?php
    foreach($kategorien->get() as $row => $value)
    {
      echo '<tr>';
      echo '<td class="kategorie_liste_td_big">[#'.$value['id'].'] '.$value['name'].'<div id="kategorie_liste_neuer_name_'.$value['id'].'" style="display:none; visibility:hidden;"><form action="kategorien.php" method="post"><input type="hidden" name="kategorie_id" value="'.$value['id'].'" /><input type="text" name="neuer_name" class="kategorie_liste_input" size="30" maxlength="30" value="" /><input type="submit" value="Speichern" class="kategorie_liste_submit" /></form></div></td>';
      echo '<td class="kategorie_liste_td_small">'.$value['news'].'</td>';
      echo '<td class="kategorie_liste_td_small">'.$value['kommentare'].'</td>';
      echo '<td class="kategorie_liste_td_medi"><a href="?delete='.$value['id'].'" onclick="return confirm(\'Soll die Kategorie '.$value['name'].' wirklich gelscht werden?\');">Lschen<sup>[2]</sup></a> / <a href="#" onclick="javascript:kategorie_liste_neuer_name('.$value['id'].');">Umbenennen</a></td>';
      echo '</tr>';
    }
  ?>
</table>
<div id="kategorie_liste_hinweis">
  <sup>[1]</sup> inklusive der Kommentare<br />
  <sup>[2]</sup> beim Lschen werden dazugehrige Artikel und Kommentare nicht mitgelscht
</div>
</div>

<?php
}
else
{
  include "denied.php";
}
include "footer.php";
?>