<?php
/**
 * Verfassen Formular fuer den Administrationsbereich (ACP)
 *
 * @package     Expblog
 * @category    ACP
 * @author      Volker S. Latainski
 * @copyright   Copyright (c) 2009, Volker S. Latainski
 * @version     0.6
 * @license     Freeware (siehe LIZENZ.txt im Hauptverzeichnis)
 * @link        http://www.expblog.net
 * @link        http://www.expblog.de
 * @filesource
 */
  include "header.php";
  
  if(isset($_POST['new_post']))
  {
  	// Neues Artikel-Objekt erstellen/referenzieren
  	$artikel = new ARTIKEL($output);
  	$rss = new RSS($output);
  	
    $artikel_kategorie = (int) $_POST['artikel_kategorie'];
    $artikel_titel = $output->sql->checkSql(htmlentities($_POST['artikel_titel']));
    $artikel_teaser = $output->sql->checkSql($_POST['artikel_teaser']);
    $artikel_body = $output->sql->checkSql($_POST['artikel_body']);   
    if(isset($_POST['artikel_startseite']))
    {
    	$artikel_startseite = 1;
    }
    else
    {
    	$artikel_startseite = 0;
    }
    
    if(isset($_POST['artikel_warteschlange']) && !$artikel->checkLast($artikel_titel))
    {
	    $ws_tag = (int) $_POST['warteschlange_tag'];
	    $ws_monat = (int) $_POST['warteschlange_monat'];
	    $ws_jahr = (int) $_POST['warteschlange_jahr'];
	    $ws_minute = (int) $_POST['warteschlange_minute'];
	    $ws_stunde = (int) $_POST['warteschlange_stunde'];
	    $ws_datetime = $ws_jahr.'-'.$ws_monat.'-'.$ws_tag.' '.$ws_stunde.':'.$ws_minute.':00';
	    
	    if (strtotime($ws_datetime) === -1) 
	    {
	      $artikel_timestamp = time();
	    }
	    else
	    {
	    	$artikel_timestamp = strtotime($ws_datetime);
	    }
	    
	    // Artikel zur Warteschlange hinzufuegen
	    $addWS = $artikel->addWS($artikel_kategorie, $artikel_titel, $artikel_teaser, $artikel_body, $artikel_timestamp, $artikel_startseite);
	    $meldung = 1;
	    if(!$addWS)
	    {
	    	$meldungtxt = 'Fehler: Der Artikel '.$artikel_titel.' konnte nicht zur Warteschlange hinzugefgt werden!';
	    }
	    else
	    {
	      $meldungtxt = 'Der Artikel '.$artikel_titel.' wurde zur Warteschlange hinzugefgt!';
	    }
  	}   
    elseif(!$artikel->checkLast($artikel_titel)
    )
    {    	
    	// Artikel zu den News hinzufuegen
    	$artikel_timestamp = time();
    	$add = $artikel->add($artikel_kategorie, $artikel_titel, $artikel_teaser, $artikel_body, $artikel_timestamp, $artikel_startseite);
    	if($expconf['rssstatus'])
    	{
    		$feed = $rss->makeFeed();    		
    	}
    	$meldung = 1;
	    if(!$add)
	    {
	    	$meldungtxt = 'Fehler: Der Artikel '.$artikel_titel.' konnte nicht hinzugefgt werden!';
	    }
	    else
	    {
	      $meldungtxt = 'Der Artikel '.$artikel_titel.' wurde hinzugefgt!';
	    }
  	}
  	
  	// Artikel und RSS Objekt zerstoeren und Speicher freigeben
  	$artikel = NULL;
  	$rss = NULL;
  	unset($artikel);
  	unset($rss);
  }
  
  // Variablen definieren
	$username = ucfirst($_SESSION["username"]);
	$timestamp = time();
	$_jahr = date("Y", $timestamp);
	$_monat = date("m", $timestamp);
	$_tag = date("d", $timestamp);
	$_stunde = date("H", $timestamp);
	$_minute = date("i", $timestamp);
	$_sekunde = date("s", $timestamp);
	
	if($meldung)
  {
    echo '<div class="content_box">';
    echo '<div class="meldungen">Meldungen</div>';
    echo '<div class="meldungtxt">'.$meldungtxt.'</div>';
    echo '</div>';
  }
?>

<div class="preloader">
  <img src="<?=WEBPATH?>system/images/smilies/smile.gif" alt="" />
  <img src="<?=WEBPATH?>system/images/smilies/wink.gif" alt="" />
  <img src="<?=WEBPATH?>system/images/smilies/cheesy.gif" alt="" />
  <img src="<?=WEBPATH?>system/images/smilies/grins.gif" alt="" />
  <img src="<?=WEBPATH?>system/images/smilies/cool.gif" alt="" />
  <img src="<?=WEBPATH?>system/images/smilies/sleep.gif" alt="" />
  <img src="<?=WEBPATH?>system/images/smilies/angry.gif" alt="" />
  <img src="<?=WEBPATH?>system/images/smilies/cry.gif" alt="" />
  <img src="<?=WEBPATH?>system/images/smilies/finger.gif" alt="" />
  <img src="<?=WEBPATH?>system/images/smilies/gaehn.gif" alt="" /> 
  <img src="<?=WEBPATH?>system/images/smilies/razz.gif" alt="" />
  <img src="<?=WEBPATH?>system/images/smilies/rolleyes.gif" alt="" />
  <img src="<?=WEBPATH?>system/images/smilies/sad.gif" alt="" />
  <img src="<?=WEBPATH?>system/images/smilies/shocked.gif" alt="" />
  <img src="<?=WEBPATH?>system/images/smilies/uhoh.gif" alt="" />
  <img src="<?=WEBPATH?>system/images/smilies/wand.gif" alt="" />
  <img src="<?=WEBPATH?>system/images/smilies/gun.gif" alt="" />
  <img src="<?=WEBPATH?>system/images/smilies/motz.gif" alt="" />
  <img src="<?=WEBPATH?>system/images/smilies/confuse.gif" alt="" />
  <img src="<?=WEBPATH?>system/images/smilies/type.gif" alt="" /> 
</div>

<div class="content_box">
  <div class="content_hline">Artikel verfassen</div>
    <form action="verfassen.php" method="post" name="postform">	    
	    <input type="hidden" name="new_post" value="1">
										
			<div id="verfassen_kategorie">
				<select name="artikel_kategorie">
					<?php
					// Kategorien auslesen
					$res = $output->sql->query("SELECT * FROM ".DB_TABLE_kategorien);
					foreach($res as $row => $value) {
					  echo '<option value="'.$value[0].'">'.$value[1].'</option>';
					}
					?>
				</select>				
			</div>	
			
			<div id="verfassen_titel">
				<input type="text" value="" name="artikel_titel" />		
			</div>	
			
			<div class="clear_left"></div>									

			<div id="verfassen_textareas">
				<div id="verfassen_teaser">
					<div class="verfassen_insert_video"><b>Teaser</b>: <a href="javascript:insertVideo('teaser')" title="Video von YouTube, Google, MyVideo oder Clipfish einbinden">Video einf&uuml;gen</a> &bull; <a href="gallerie0.php?KeepThis=true&TB_iframe=true&height=394&width=605" title="Bild einf&uuml;gen" class="thickbox">Bild einf&uuml;gen</a></div>
					<div class="verfassen_bbcode_smilies">
			      <a href="javascript:insertSmilie('teaser', ' :-) ')"><img src="<?=WEBPATH?>system/images/smilies/smile.gif" alt=":-)" /></a>
			      <a href="javascript:insertSmilie('teaser', ' ;) ')"><img src="<?=WEBPATH?>system/images/smilies/wink.gif" alt=";)" /></a>
			      <a href="javascript:insertSmilie('teaser', ' :cheesy: ')"><img src="<?=WEBPATH?>system/images/smilies/cheesy.gif" alt=":cheesy:" /></a>
			      <a href="javascript:insertSmilie('teaser', ' :D ')"><img src="<?=WEBPATH?>system/images/smilies/grins.gif" alt=":D" /></a>
			      <a href="javascript:insertSmilie('teaser', ' :cool: ')"><img src="<?=WEBPATH?>system/images/smilies/cool.gif" alt=":cool:" /></a>
			      <a href="javascript:insertSmilie('teaser', ' :zzz: ')"><img src="<?=WEBPATH?>system/images/smilies/sleep.gif" alt=":zzz:" /></a>
			      <a href="javascript:insertSmilie('teaser', ' :angry: ')"><img src="<?=WEBPATH?>system/images/smilies/angry.gif" alt=":angry:" /></a>
			      <a href="javascript:insertSmilie('teaser', ' :cry: ')"><img src="<?=WEBPATH?>system/images/smilies/cry.png" alt=":cry:" /></a>
			      <a href="javascript:insertSmilie('teaser', ' :finger: ')"><img src="<?=WEBPATH?>system/images/smilies/finger.gif" alt=":finger:" /></a>
			      <a href="javascript:insertSmilie('teaser', ' :gaehn: ')"><img src="<?=WEBPATH?>system/images/smilies/gaehn.gif" alt=":gaehn:" /></a>
			      <a href="javascript:insertSmilie('teaser', ' :razz: ')"><img src="<?=WEBPATH?>system/images/smilies/razz.png" alt=":razz:" /></a>
			      <a href="javascript:insertSmilie('teaser', ' :rolleyes: ')"><img src="<?=WEBPATH?>system/images/smilies/rolleyes.gif" alt=":rolleyes:" /></a>			
			      <a href="javascript:insertSmilie('teaser', ' :sad: ')"><img src="<?=WEBPATH?>system/images/smilies/sad.gif" alt=":sad:" /></a>
			      <a href="javascript:insertSmilie('teaser', ' :shocked: ')"><img src="<?=WEBPATH?>system/images/smilies/shocked.gif" alt=":shocked:" /></a>
			      <a href="javascript:insertSmilie('teaser', ' :uhoh: ')"><img src="<?=WEBPATH?>system/images/smilies/uhoh.gif" alt=":uhoh:" /></a>
			      <a href="javascript:insertSmilie('teaser', ' :vogel: ')"><img src="<?=WEBPATH?>system/images/smilies/vogel.gif" alt=":vogel:" /></a>
			    </div>	
			    <div class="clear_left"></div>
					<textarea name="artikel_teaser" id="artikel_teaser"></textarea>
				</div>				
				<div id="verfassen_body">					
					<div class="verfassen_insert_video"><b>Body</b>: <a href="javascript:insertVideo('body')" title="Video von YouTube, Google, MyVideo oder Clipfish einbinden">Video einfgen</a> &bull; <a href="gallerie1.php?KeepThis=true&TB_iframe=true&height=394&width=605" title="Bild einf&uuml;gen" class="thickbox">Bild einf&uuml;gen</a></div>
					<div class="verfassen_bbcode_smilies">
			      <a href="javascript:insertSmilie('body', ' :-) ')"><img src="<?=WEBPATH?>system/images/smilies/smile.gif" alt=":-)" /></a>
			      <a href="javascript:insertSmilie('body', ' ;) ')"><img src="<?=WEBPATH?>system/images/smilies/wink.gif" alt=";)" /></a>
			      <a href="javascript:insertSmilie('body', ' :cheesy: ')"><img src="<?=WEBPATH?>system/images/smilies/cheesy.gif" alt=":cheesy:" /></a>
			      <a href="javascript:insertSmilie('body', ' :D ')"><img src="<?=WEBPATH?>system/images/smilies/grins.gif" alt=":D" /></a>
			      <a href="javascript:insertSmilie('body', ' :cool: ')"><img src="<?=WEBPATH?>system/images/smilies/cool.gif" alt=":cool:" /></a>
			      <a href="javascript:insertSmilie('body', ' :zzz: ')"><img src="<?=WEBPATH?>system/images/smilies/sleep.gif" alt=":zzz:" /></a>
			      <a href="javascript:insertSmilie('body', ' :angry: ')"><img src="<?=WEBPATH?>system/images/smilies/angry.gif" alt=":angry:" /></a>
			      <a href="javascript:insertSmilie('body', ' :cry: ')"><img src="<?=WEBPATH?>system/images/smilies/cry.png" alt=":cry:" /></a>
			      <a href="javascript:insertSmilie('body', ' :finger: ')"><img src="<?=WEBPATH?>system/images/smilies/finger.gif" alt=":finger:" /></a>
			      <a href="javascript:insertSmilie('body', ' :gaehn: ')"><img src="<?=WEBPATH?>system/images/smilies/gaehn.gif" alt=":gaehn:" /></a>
			      <a href="javascript:insertSmilie('body', ' :razz: ')"><img src="<?=WEBPATH?>system/images/smilies/razz.png" alt=":razz:" /></a>
			      <a href="javascript:insertSmilie('body', ' :rolleyes: ')"><img src="<?=WEBPATH?>system/images/smilies/rolleyes.gif" alt=":rolleyes:" /></a>			
			      <a href="javascript:insertSmilie('body', ' :sad: ')"><img src="<?=WEBPATH?>system/images/smilies/sad.gif" alt=":sad:" /></a>
			      <a href="javascript:insertSmilie('body', ' :shocked: ')"><img src="<?=WEBPATH?>system/images/smilies/shocked.gif" alt=":shocked:" /></a>
			      <a href="javascript:insertSmilie('body', ' :uhoh: ')"><img src="<?=WEBPATH?>system/images/smilies/uhoh.gif" alt=":uhoh:" /></a>
			      <a href="javascript:insertSmilie('body', ' :vogel: ')"><img src="<?=WEBPATH?>system/images/smilies/vogel.gif" alt=":vogel:" /></a>			      
			    </div>
			    <div class="clear_left"></div>			    
					<textarea name="artikel_body" id="artikel_body"></textarea>
				</div>
			</div>			
			<div id="verfassen_submit">
				<input type="submit" value="Absenden" class="submit" />
			</div>						
			
			<div class="verfassen_sub_box">	      
        <div id="verfassen_zeitsteuerung">
	        <input type="checkbox" name="artikel_startseite" value="1" checked><p>auf Startseite anzeigen&nbsp;&nbsp;&nbsp;</p>
					<input type="checkbox" name="artikel_warteschlange" value="1"><p>zeitgesteuert ab&nbsp;</p>
					<select id="verfassen_zeitsteuerung_tag" name="warteschlange_tag">
	      		<?php
	      		  for($i=1;$i<=31;$i++)
	      		  {
	      		  	if($i < 10)
	      		  	{
	      		  	  $i = '0'.$i;
	      		  	}
	      		    if(date('d', time()) == $i)
	      		    {
	      		    	echo '<option value="'.$i.'" selected>'.$i.'</option>';
	      		    }
	      		    else
	      		    {
	      		      echo '<option value="'.$i.'">'.$i.'</option>';	
	      		    }
	      		  }
	      		?>
	      	</select>
	      	<p>.&nbsp;</p>
					<select id="verfassen_zeitsteuerung_monat" name="warteschlange_monat">
	      		<?php
	      		  $monate = array(
	      		  			'01' => 'Januar',
	      		  			'02' => 'Februar',
	      		  			'03' => 'Mrz',
	      		  			'04' => 'April',
	      		  			'05' => 'Mai',
	      		  			'06' => 'Juni',
	      		  			'07' => 'Juli',
	      		  			'08' => 'August',
	      		  			'09' => 'September',
	      		  			'10' => 'Oktober',
	      		  			'11' => 'November',
	      		  			'12' => 'Dezember',
	      		  );
	      		  for($i=1;$i<=12;$i++)
	      		  {
	      		  	if($i < 10)
	      		  	{
	      		  	  $i = '0'.$i;
	      		  	}
	      		  	$monat = $monate[$i];
	      		    if(date('m', time()) == $i)
	      		    {
	      		    	echo '<option value="'.$i.'" selected>'.$monat.'</option>';
	      		    }
	      		    else
	      		    {
	      		      echo '<option value="'.$i.'">'.$monat.'</option>';	
	      		    }
	      		  }
	      		?>
	      	</select>
	      	<p>.&nbsp;</p>
					<select id="verfassen_zeitsteuerung_jahr" name="warteschlange_jahr">
	      		<?php   
	      		  echo '<option value="'.(date('Y', time())-1).'">'.(date('Y', time())-1).'</option>';     		  
	      		  echo '<option value="'.date('Y', time()).'" selected>'.date('Y', time()).'</option>';
	      		  echo '<option value="'.(date('Y', time())+1).'">'.(date('Y', time())+1).'</option>';       		 
	      		?>
	      	</select>    
	      	<p>&nbsp;um&nbsp;</p>
					<select class="verfassen_zeitsteuerung_zeit" name="warteschlange_stunde">
	      		<?php
	      		  for($i=0;$i<=23;$i++)
	      		  {
	      		  	if($i < 10)
	      		  	{
	      		  	  $i = '0'.$i;
	      		  	}
	      		    if(date('H', time()) == $i)
	      		    {
	      		    	echo '<option value="'.$i.'" selected>'.$i.'</option>';
	      		    }
	      		    else
	      		    {
	      		      echo '<option value="'.$i.'">'.$i.'</option>';	
	      		    }
	      		  }
	      		?>
	      	</select>       
					<p>&nbsp;:&nbsp;</p>
					<select class="verfassen_zeitsteuerung_zeit" name="warteschlange_minute">
	      		<?php
	      		  for($i=0;$i<=59;$i++)
	      		  {
	      		  	if($i < 10)
	      		  	{
	      		  	  $i = '0'.$i;
	      		  	}
	      		  	if(date('i', time()) == $i)
	      		    {
	      		    	echo '<option value="'.$i.'" selected>'.$i.'</option>';
	      		    }
	      		    else
	      		    {
	      		      echo '<option value="'.$i.'">'.$i.'</option>';	
	      		    }
	      		  }
	      		?>
	      	</select>
	      	<p>&nbsp;Uhr</p>
				</div>
			</div>
			
    </form>
  </div>
</div>  
<?php
  include "footer.php";
?>