<?php
/**
 * Plugin fr die Seitenleiste zum Auslesen eines phpBB3 Forums
 *
 * @package     Expblog
 * @category    Plugins
 * @author      Volker S. Latainski
 * @copyright   Copyright (c) 2008, Volker S. Latainski
 * @version     0.6
 * @license     Freeware (siehe LIZENZ.txt im Hauptverzeichnis)
 * @link        http://www.expblog.net
 * @link        http://www.expblog.de
 * @filesource
 */

/**
 * Hauptfunktion des Plugins
 *
 * @param    object $output  Referenz(keine Kopie!) auf das Output Objekt
 * @param    array  $lang    Array der aus der aktuell verwendeten Sprachdatei
 * @param    array  $post    Kopie von $_POST
 * @param    array  $get     Kopie von $_GET
 * @return   void
 */
function phpbb3($output, $lang, $post, $get)
{
  // Plugin Einstellungen
  $viewmode = '0';            // 0=Auslesen aus allen Foren, ansonsten ID's der auszulesenden Foren (getrennt durch Komma)
                              // Hinweis: Die Foren ID's kann man in den URLs des phpBB's erkennen. Es ist der Parameter "f"
  $sortmode = 'DESC';         // ASC oder DESC
  $phpbb_prefix = 'phpbb3_';  // Prefix ohne abschliessenden Unterstrich
  $limit = 10;                // Anzahl der anzuzeigenden Beitrge
  $strmax = 35;               // Zeichenlnge nach der der Titel abgeschnitten wird

  // einige Variablen erzeugen
  $phpbb_posts = $phpbb_prefix.'posts';
  $phpbb_users = $phpbb_prefix.'users';

  // Beitrge auslesen
  if($viewmode > 0)
  {
    $res = $output->sql->query("
      SELECT
        posts.post_subject AS title,
        posts.post_time AS post_time,
        posts.forum_id AS forum_id,
        posts.topic_id AS topic_id,
        users.username AS username
      FROM
        {$phpbb_posts} AS posts
      LEFT JOIN
        {$phpbb_users} AS users
      ON
        posts.poster_id = users.user_id
      WHERE
        posts.forum_id IN({$viewmode})
      ORDER BY
        posts.post_time
      {$sortmode}
      LIMIT {$limit}
   ");
  }
  elseif($viewmode == 0)
  {
    $res = $output->sql->query("
      SELECT
        posts.post_subject AS title,
        posts.post_time AS post_time,
        posts.forum_id AS forum_id,
        posts.topic_id AS topic_id,
        users.username AS username
      FROM
        {$phpbb_posts} AS posts
      LEFT JOIN
        {$phpbb_users} AS users
      ON
        posts.poster_id = users.user_id
      ORDER BY
        posts.post_time
      {$sortmode}
      LIMIT {$limit}
   ");
  }
?>
     <!-- Anfang phpBB -->
     <div id="plugin_phpbb">
       <p id="plugin_phpbb_topic"><?=$lang['plugins']['phpbb']['title']?></p>
       <ul id="plugin_phpbb_liste">
       <?php
       foreach($res as $array => $row)
       {
         if(strlen($row['title']) > $strmax)
         {
           $row['title'] = substr($row['title'], 0, $strmax).'...';
         }
         echo '<li><a href="'.WEBPATH.'viewtopic.php?f='.$row['forum_id'].'&amp;t='.$row['topic_id'].'">'.$row['title'].'</a> ('.$row['username'].')</li>';
       }
       ?>
       </ul>
     </div>
     <!-- Ende phpBB -->
<?php
}
?>
