<?php
/**
 * Blogroll Klasse
 *
 * Diese Klasse stellt administrative Funktionen fr den Blogroll zur Verfgung.
 * @package     Expblog
 * @category    Backend
 * @author      Volker S. Latainski (based on TMY's Captcha. Danke btw!)
 * @copyright   Copyright (c) 2008, Volker S. Latainski
 * @version     0.6.2
 * @license     Freeware (siehe LIZENZ.txt im Hauptverzeichnis)
 * @link        http://www.expblog.net
 * @link        http://www.expblog.de
 * @filesource
 */
class BLOGROLL
{
  /**
   * Blogroll Tabelle / Kopie von DB_TABLE_blogroll
   * @var string
   */
  private $expblog_blogroll;
  /**
   * Blogroll Tabelle / Kopie von DB_TABLE_blogroll
   * @var string
   */
  private $userlevel;
  /**
   * Referenz auf das $output Objekt des Blogs
   * @var reference|object
   */
  private $output;

  /**
   * Konstruktor
   *
   * @return   void
   * @access   public
   */
  public function __construct($output)
  {
    $this->output = $output;
    $this->expblog_blogroll = DB_TABLE_blogroll;
    $this->userlevel  = $_SESSION['userlevel'];
  }

  /**
   * Funktion zum Hinzufgen eines Blogrolls
   *
   * @param    string $url URL des Blogrolls (mit http://)
   * @param    string $url Optionaler ein Titel fr das Blog
   * @return   bool
   * @access   public
   */
  public function add($url, $titel)
  {
    $query = "
        INSERT INTO
          {$this->expblog_blogroll}
        (
          url,
          titel
        )
        VALUES
        (
          '{$url}',
          '{$titel}'
        )
    ";
    if(false !== ($this->output->sql->query($query)))
    {
      return true;
    }
    return false;
  }

  /**
   * Funktion zum Lschen eines Blogroll Eintrags
   *
   * @param    int $id ID des zu lschenden Blogs
   * @return   bool
   * @access   public
   */
  public function delete($id)
  {
    $query = "
        DELETE FROM
          {$this->expblog_blogroll}
        WHERE
          id = {$id}
        AND
          {$this->userlevel} > 2
    ";
    if(false !== ($this->output->sql->query($query)))
    {
      return true;
    }
    return false;
  }
  
  /**
   * Funktion zum Auslesen aller Blogroll Eintrge
   *
   * @return   bool
   * @access   public
   */
  public function getAll()
  {
    $res = $this->output->sql->query("
        SELECT 
          id, 
          url, 
          titel 
        FROM
          {$this->expblog_blogroll}
        WHERE
          {$this->userlevel} > 2
    ");

    if($res)
    {
      return $res;
    }
    else
    {
      return false;
    }
  }


  /*function update($id, $url, $titel)
  {
    $res = $this->output->sql->query("
        UPDATE
          {$this->expblog_blogroll}
        SET
          url   = '{$url}',
          titel = '{$titel}'
        WHERE
          id = {$id}
        AND
          {$this->userlevel} > 2
    ");
    if($res)
    {
      return true;
    }
    else
    {
      return false;
    }
    }*/

  /**
   * Destruktor
   *
   * @return   void
   * @access   public
   */
  public function __destruct() {}
}
?>