<?php
/**
 * User Basisklasse zum Benutzerhandling im Adminbereich(ACP)
 *
 * @package     Expblog
 * @category    Backend
 * @author      Volker S. Latainski
 * @copyright   Copyright (c) 2008, Volker S. Latainski
 * @version     0.6
 * @license     Freeware (siehe LIZENZ.txt im Hauptverzeichnis)
 * @link        http://www.expblog.net
 * @link        http://www.expblog.de
 * @filesource
 */
class USER
{
  /**
   * Kopie von DB_TABLE_news
   * @var string
   */
  private $expblog_news;
  /**
   * Kopie von DB_TABLE_user
   * @var string
   */
  private $expblog_user;
  /**
   * Benutzerlevel des Autors / Kopie $_SESSION['userlevel']
   * @var int
   */
  public $userlevel;
  /**
   * Referenz auf das $output Objekt des Blogs
   * @var reference|object
   */
  public $output;

  /**
   * Konstruktor
   *
   * @param    reference|object $output Referenz auf das $output Objekt des Blogs
   * @return   void
   * @access   public
   */
  public function __construct($output)
  {
    $this->output = $output;
    $this->expblog_user = DB_TABLE_user;
    $this->expblog_news = DB_TABLE_news;
    $this->userlevel = $_SESSION['userlevel'];
  }

  /**
   * Funktion zum Anlegen eines neuen Benutzers
   *
   * @param    string $username   Benutzername des neuen Users
   * @param    string $password   Passwort des Benutzers
   * @param    int    $userlevel  Benutzerlevel
   * @return   bool
   * @access   public
   */
  public function add($username, $password, $userlevel)
  {
    $exist = @ mysql_result($this->userExists($username), 0);
    if(!is_numeric($exist))
    {
      $query = "
        INSERT INTO
          {$this->expblog_user}
        (
          name,
          password,
          level
        )
        VALUES
        (
          '{$username}',
          '".md5($password)."',
          {$userlevel}
        )
      ";
      if(false !== ($this->output->sql->query($query)))
      {
        return true;
      }
      return false;
    }
    else
    {
      return false;
    }
  }

  /**
   * Funktion zum berprfen ob der bergebene Benutzername $username bereits existiert.
   * Zurckgeliefert wird bei Existenz von $username die dazugehrige Userid, ansonsten false.
   *
   * @param    string $username  Benutzername der zu berprfen ist
   * @return   array|bool
   * @access   public
   */
  private function userExists($username)
  {
    $res = $this->output->sql->query("
      SELECT
        id
      FROM
        {$this->expblog_user}
      WHERE
        name = '{$username}'
    ");
    if($res)
    {
      return $res;
    }
    else
    {
      return false;
    }
  }

  /**
   * Funktion zum Lschen eines Benutzers. Liefert bei Erfolg true, ansonsten false.
   *
   * @param    int $userid  ID des zu lschenden Benutzers
   * @return   bool
   * @access   public
   */
  public function delete($userid)
  {
    $query = "
      DELETE FROM
        {$this->expblog_user}
      WHERE
        id = {$userid}
      AND
        {$this->userlevel} >= 2
      AND
        id > 1
    ";
    if(false !== ($this->output->sql->query($query)))
    {
      return true;
    }
    return false;
  }

  /**
   * Funktion zum Updaten eines Benutzers Accounts. Liefert bei Erfolg true, ansonsten false.
   *
   * @param    int    $userid     ID des Users
   * @param    string $username   Benutzername des neuen Users
   * @param    string $password   Passwort des Benutzers
   * @param    int    $userlevel  Benutzerlevel
   * @return   bool
   * @access   public
   */
  public function update($userid, $username, $password, $userlevel)
  {
    $res = $this->output->sql->query("
      UPDATE
        {$this->expblog_user}
      SET
        username = '{$username}',
        password = MD5({$password}),
        userlevel = {$userlevel}
      WHERE
        id = {$userid}
      AND
        {$this->userlevel} >= 2
    ");
    if($res)
    {
      return true;
    }
    else
    {
      return false;
    }
  }

  /**
   * Alle Benutzerdaten auslesen und bei Erfolg als Array zurckliefern, ansonsten false
   *
   * @return   array|bool
   * @access   public
   */
  public function get()
  {
    $res = $this->output->sql->query("
      SELECT
        user.id AS id,
        user.name AS name,
        user.level AS level,
        COUNT(news.id) AS news
      FROM
        {$this->expblog_user} AS user
      LEFT JOIN
        {$this->expblog_news} AS news
      ON
        news.userid = user.id
      WHERE
        {$this->userlevel} >= 2
      GROUP BY
        user.id
      ORDER BY
        user.id
      ASC
    ");
    if($res)
    {
      return $res;
    }
    else
    {
      return false;
    }
  }

  /**
   * Destruktor
   *
   * @return   void
   * @access   public
   */
  public function __destruct() {}
}
?>